import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from '../../../environments/environment';
import { Injectable } from '@angular/core';
let header = new HttpHeaders();
header = header.set('Content-Type', 'application/json; charset=utf-8');
@Injectable({
  providedIn: 'root'
})
export class JobstatusreportService {
    baseUrl: string = environment.serviceUrl;
    constructor(private httpClient: HttpClient) { }
    getjobstatusreport(data: any): Observable<any> {
        let header = new HttpHeaders();
        header = header.set('Content-Type', 'application/json; charset=utf-8');
        return this.httpClient.post<any>(this.baseUrl + 'api/ReportApi/GetJobstatusReport',
          data, { headers: header, observe: 'response' });
      }
}